<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  
  //tout le monde peut voir l'historique ? oui -> public
  
  //include("../../services/devises.php"); 
	include ("titre_verif.php");
  
	if (!isset($_GET['ISIN'])){
      $ISIN = "";
    }else{
    	$ISIN_2 = strtoupper(substr($_GET['ISIN'],0,2));
    	for($a=0;$a<=64;$a++){	$ISIN_2 = str_replace(chr($a), "", $ISIN_2);	} // Suppression de caractères ASCII
    	for($a=91;$a<=127;$a++){	$ISIN_2 = str_replace(chr($a), "", $ISIN_2);	} // Suppression de caractères ASCII
    	$ISIN_10 = substr($_GET['ISIN'],2,strlen($_GET['ISIN'])-1);
    	for($a=0;$a<=47;$a++){	$ISIN_10 = str_replace(chr($a), "", $ISIN_10);	} // Suppression de caractères ASCII
    	for($a=58;$a<=127;$a++){	$ISIN_10 = str_replace(chr($a), "", $ISIN_10);	} // Suppression de caractères ASCII
    	$ISIN = $ISIN_2.substr($ISIN_10,0,10); 
	}
	
	if (!isset($_GET['courriel'])){
      $courriel = "";
    }else{
    	$courriel = substr(addslashes(htmlentities(strip_tags($_GET['courriel']))),0,40);
	}
	
    echo '
    <form action="titre_historique.php" method="get" onsubmit="return titre_verification();">
    
    <div><h4 class="titre">Historique des échanges de titres</h4></div>
    
    <table>
      <tr>
        <td>ISIN : </td>
        <td>
          <input type="text" name="ISIN" value="'.$ISIN.'" id="ISIN" size="15" />
        </td>
      </tr>
    
      <tr>
		  <td>Courriel : </td> <td><input type="text" name="courriel" value="'.$courriel.'" size="40" /></td>
      </tr>
    
      <tr>
        <td></td><td><input type="submit" value="Appliquer le filtre" /></td>
      </tr>
    
    </table>
    
    </form>
    ';
    
    //Focus sur le montant en javascript
    echo '<script type="text/javascript">document.getElementById("ISIN").focus();</script>';
    
    include('titre_historique_interface.php');
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
